<form-template titleForm="Noticias" [form]="form" [busy]="service.busy" [edit]="service.editing" 
    (changes)="onAction($event)" [(addOnlyOne)]="service.addOnlyOne">
    <ng-container content-type="codigo" *ngIf="service.editing">
        <small class="p-1"><strong class="font-xs text-muted">Codigo:&nbsp;</strong>{{service.model?.Id}}</small>
    </ng-container>

    <form #form="ngForm" autocomplete="off">
        <div class="row">
            <div class="col-md-5" [input-wrapper]="titulo" label="Titulo">
                <input type="text" class="form-control" name="titulo" [(ngModel)]="service.model.Titulo"
                    #titulo="ngModel" ngbAutofocus required>
            </div>
        </div>
        <div class="row">
            <div class="col-md-5" [input-wrapper]="cuerpo" label="Cuerpo">
                <textarea cols="30" rows="10" class="form-control" name="cuerpo"
                    [(ngModel)]="service.model.Cuerpo" #cuerpo="ngModel" required>
                </textarea>
            </div>
        </div>
    </form>
</form-template>
